package com.jthomas.mailfaces;

/*
 * FaceEvent.java
 * Copyright (c) 1996 John Thomas  jthomas@cruzio.com
 *      All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for non-commercial purposes
 * is hereby granted provided that this copyright notice
 * appears in all copies.
 *
 */
import com.jthomas.util.Debug;

import java.util.*;
import java.io.*;
/**
** General Event generated by JavaFace component 
** The EventID describes the event
*/

public class FaceEvent extends EventObject
			implements Serializable {
				
/**
** Identify event sent when user wants to expire cache entries
*/
public static final int ID_CACHE_EXPIRE = 10;
/**
** Identify event sent when user wants to clear all cache entries
*/
public static final int ID_CACHE_CLEAR = 11;
/**
** Identify event sent when user wants to expire cache entries
*/
public static final int ID_CACHE_LIST = 12;

/**
** Identify event sent when user wants to expire cache entries
*/
public static final int ID_CACHE_VERIFY = 13;

/**
** Identify event sent when User has changed the Options file and
** the FaceOptions object has been rebuilt and potentially one or 
** more options have changed.
*/
public static final int ID_OPTIONS_CHANGED = 20;


private int		_ID 	= -1;
/**
** Constructor 
**
**@param Event source
**@param Event Identifier
*/
public 
FaceEvent(Object source,int id) {
	super(source);
	_ID = id;
}

/**
** returns the Event ID
**
** The valid ID values are defined above
**@return Event identifier
*/
public int 
getID() {	
	return _ID;
}

public String 
toString() {
	
	return "FaceEvent "+_ID;
}

} // end FaceEvent				